- Home
- API Enriched
- Shape
- shape
- Update Script Approval Status.
Update Script Approval Status.
POST
/api/shape/csd/namespaces/{namespace}/scripts/{id}/approval-status
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/approval-status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"id":"example","namespace":"example","status":"UNKNOWN"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts/example/approval-status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "namespace": "example", "status": "UNKNOWN" }'Update the approval status of a script.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace.
id
required
string
ID Script ID.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateScriptApprovalStatusRequest
Request to update script approval status.
object
id
id
Script ID
string
namespace
namespace
Namespace
string
status
string
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
UpdateScriptApprovalStatusResponse
Response after updating script approval status.
object
script_id
script_id
ID of the script that was updated.
string
Examplegenerated
{ "script_id": "example"}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example